/* **********************************************************
 * Copyright (C) 1998-2000 VMware, Inc.
 * All Rights Reserved
 * $Id: vm_oui.h,v 1.2.10.1 2001/01/04 03:25:45 edward Exp $
 * **********************************************************/
 
#ifndef _VM_OUI_H_
#define _VM_OUI_H_


/*
 * Our own OUI given by IEEE
 */

#define VMX86_OUI	0x005056


#define VMX86_OUI_SIZE	3

#define VMX86_OUI0	((uint8) (VMX86_OUI >> (VMX86_OUI_SIZE - 1) * 8))
#define VMX86_OUI1	((uint8) (VMX86_OUI >> (VMX86_OUI_SIZE - 2) * 8))
#define VMX86_OUI2	((uint8) (VMX86_OUI >> (VMX86_OUI_SIZE - 3) * 8))


/*
 * Top 2 bits of byte 3 of MAC address
 */

#define VMX86_MAC_PREFIX		0xc0
#define VMX86_MAC_FIXED			0x00	// user assigned
#define VMX86_MAC_IPBASED		0x40	// host IP based assignment
#define VMX86_MAC_OLDIPBASED		0x80	// old host IP based assignment
#define VMX86_MAC_RANDOM		0xc0	// random assignment


/*
 * Bits left for MAC address assignment
 */

#define VMX86_MAC_BITS		22

#endif

